GNU bug report logs - #12635
A usability issue with the save dialog box

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Alex Hanif <hanifbbz@HIDDEN>; dated Sat, 13 Oct 2012 09:45:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 12635 <at> debbugs.gnu.org:


Received: (at 12635) by debbugs.gnu.org; 14 Oct 2012 13:28:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 14 09:28:52 2012
Received: from localhost ([127.0.0.1]:43394 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TNOFO-0005ap-5w
	for submit <at> debbugs.gnu.org; Sun, 14 Oct 2012 09:28:52 -0400
Received: from mail-pa0-f44.google.com ([209.85.220.44]:51571)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jasonrumney@HIDDEN>) id 1TNOFH-0005aX-8j
	for 12635 <at> debbugs.gnu.org; Sun, 14 Oct 2012 09:28:46 -0400
Received: by mail-pa0-f44.google.com with SMTP id fb11so4073359pad.3
	for <12635 <at> debbugs.gnu.org>; Sun, 14 Oct 2012 06:27:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type;
	bh=Vn8Tjhag4xdOycG+c1i4adBr6GLyBdAqbZRA67QYfcg=;
	b=VkB47dEDqAl/I+1QAcxPXs5lpjvNWb5wfzstTpBiqWg3jKjdCyX3Z7ZtSooluGDcG5
	0PmeTtCe+BmhDR/2rtF8GDQf7YzDjkzo0vs/izDQz3bUjHhFy+VQYouZlJG6eiphXu7F
	Bwc+CYkyQAl2csmMzkxcamubN2f8S86kHLoNAi5UUVr++nJTxRyRrzuObTvftAlNv6VD
	9mKm4Ea4pvAA7msFokd9HoyIjLmxc/XfSieKckWuK38a90yTRmYmGvx44bJ4sixnRJth
	A4jexCz/km0B4DJeGCdD9h1ipLQAtBbKiDDcZEpTGlOr8cdqDfwc8hJP7hwgUobG7zCg
	518Q==
Received: by 10.68.125.229 with SMTP id mt5mr3909670pbb.51.1350221255264;
	Sun, 14 Oct 2012 06:27:35 -0700 (PDT)
Received: from home.jasonrumney.net ([180.75.59.151])
	by mx.google.com with ESMTPS id mz10sm7480907pbc.37.2012.10.14.06.27.32
	(version=TLSv1/SSLv3 cipher=OTHER);
	Sun, 14 Oct 2012 06:27:34 -0700 (PDT)
Received: by home.jasonrumney.net (Postfix, from userid 1000)
	id AE440DFE; Sun, 14 Oct 2012 21:27:28 +0800 (MYT)
From: Jason Rumney <jasonr@HIDDEN>
To: Alex Hanif <hanifbbz@HIDDEN>
Subject: Re: bug#12635: A usability issue with the save dialog box
References: <CAONC63nyAzNguff_JUAseZygojg=ZoDfS89QXCT3W3nyiL0QFA@HIDDEN>
Date: Sun, 14 Oct 2012 21:27:28 +0800
In-Reply-To: <CAONC63nyAzNguff_JUAseZygojg=ZoDfS89QXCT3W3nyiL0QFA@HIDDEN>
	(Alex Hanif's message of "Sat, 13 Oct 2012 10:02:08 +0200")
Message-ID: <87ipad5glb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 12635
Cc: 12635 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.1 (/)

Alex Hanif <hanifbbz@HIDDEN> writes:

> Hi,
>
> I am a usability designer based in Stockholm and I would like to
> suggest a few improvements to the Emacs save dialog. I have motivated
> my suggestion and put up an image of the suggested solution on my
> blog:
> http://user.wordpress.com/2012/10/13/emacs-has-a-confusing-save-dialogue-
> box/ 
> Please let me know if I can help improve Emacs.

You have some good ideas, but they seem to be based on a misconception
that each dialog in Emacs is individually designed.  That may be the
case with other applications, but is not with Emacs.  Currently Emacs
dialogs are quite limited in their capabilities, so the best approach is
probably to split this task into two:

1. Improve the options availble in the current dialog.
2. Improve Emacs's dialog capabilities (a much bigger task, especially
if backwards compatibility is to be kept).





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12635; Package emacs. Full text available.

Message received at 12635 <at> debbugs.gnu.org:


Received: (at 12635) by debbugs.gnu.org; 14 Oct 2012 08:39:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 14 04:39:19 2012
Received: from localhost ([127.0.0.1]:43211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TNJjC-000442-Ae
	for submit <at> debbugs.gnu.org; Sun, 14 Oct 2012 04:39:18 -0400
Received: from mail-we0-f172.google.com ([74.125.82.172]:36458)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <hanifbbz@HIDDEN>) id 1TNJj8-00043o-Us
	for 12635 <at> debbugs.gnu.org; Sun, 14 Oct 2012 04:39:16 -0400
Received: by mail-we0-f172.google.com with SMTP id u46so2547394wey.3
	for <12635 <at> debbugs.gnu.org>; Sun, 14 Oct 2012 01:38:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	bh=vG/xsJgxX5acDm5kYBfrd71dKo9yodEKHoKk1QT/xX4=;
	b=rHW8m97z/moccAIFp2jseeZR8EdKEdw55asZcEXeqgSfuybbGphU9Thp7yQtUMts89
	7PuHvQ1GLMStDqZw46bcpOcGwffPNdCP6k/JTX4uHu9WmJGM9cvXt4D/3A7UEBQSKv8U
	4dsGnTOJpKWt1vl9A3+mWbyNZW+Aw/K4i5WopYeswSifauTvXdbRlTDZLgeX/fd4131M
	PA0pWkda8fkSO3G8L2rnQSMN02XNKAUUENHgp0FKxiIN6sDFxopWdaOUXWsaaHBLAACa
	AKYvk+uxA1vRLOu/z4Bynd4hmVP5zq3cC/U204y/QtwO9WIGcpYWEQ4gAM4RGmYkG4Zu
	G7gw==
Received: by 10.216.198.80 with SMTP id u58mr4897286wen.204.1350203888611;
	Sun, 14 Oct 2012 01:38:08 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.216.245.79 with HTTP; Sun, 14 Oct 2012 01:37:48 -0700 (PDT)
In-Reply-To: <878vba2xk2.fsf@HIDDEN>
References: <CAONC63nyAzNguff_JUAseZygojg=ZoDfS89QXCT3W3nyiL0QFA@HIDDEN>
	<878vba2xk2.fsf@HIDDEN>
From: Alex Hanif <hanifbbz@HIDDEN>
Date: Sun, 14 Oct 2012 10:37:48 +0200
Message-ID: <CAONC63nJ_F1q-_nYUuUx-SYiSJkJimDsmHyna2=TMvTvoJ6PKg@HIDDEN>
Subject: Re: bug#12635: A usability issue with the save dialog box
To: Juri Linkov <juri@HIDDEN>
Content-Type: multipart/alternative; boundary=00504502b03b27b1ce04cc00d76a
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 12635
Cc: 12635 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.1 (/)

--00504502b03b27b1ce04cc00d76a
Content-Type: text/plain; charset=ISO-8859-1

Thanks Eli, Andreas, Juri,
I have reviewed the design based on your suggestions. Please find the new
muckups with the design elaborations at the end of that blog post here:
http://user.wordpress.com/2012/10/13/emacs-has-a-confusing-save-dialogue-box/
Thank you,
+Alex Hanif
-----------------------
This message is confidential and copyrighted. The contents and
attachment(s) are solely intended for the explicitly mentioned
recipient(s). Forwarding, replying to another addresses, copying, printing
and distributing parts of it or as a whole in any form to any other person
or 3rd party is prohibited except with prior permission. If you are not the
intended recipient, please destroy all copies of the original message and
possible distributions and inform me.


On Sat, Oct 13, 2012 at 6:05 PM, Juri Linkov <juri@HIDDEN> wrote:

> > Please let me know if I can help improve Emacs.
>
> The most user-friendly UI would tell the user what pressing the button
> will do exactly.  So instead of buttons "Yes"/"No", it would display
> more explicit text in buttons: "Save"/"Don't save" or "Save"/"Discard".
>
> OTOH, Emacs is special in this regard that actions in the dialog box
> have their counterparts in the non-GUI version where "y" and "n" are keys
> to save or skip the buffer.  With the goal to maintain compatibility
> between these two versions, the GUI version could provide accelerator keys
> in the button text like "_Y_es" and "_N_o".
>
> But in case when these versions will diverge from each other,
> and also for the final question
>
>   Modified buffers exist; exit anyway?
>
> still more explicit "Yes, discard changes"/"No, cancel" or
> "Yes, close without saving"/"No, cancel" would be better.
>
> "Don't quit" to cancel the dialog is very necessary, yes,
> but a link in a dialog box a quite non-standard element.
> Much simpler would be to just add the button "Cancel".
>
> Removing the option "View This Buffer" could be accompanied with
> displaying the buffer in question unconditionally (this suggestion
> pertains to the non-GUI version as well).
>
> Regarding the multi-file operation, some applications solve this problem
> by displaying a list of all unsaved files to help the user decide what
> to do with all of them.
>
> Emacs already does the same for running processes by displaying their list
> and asking a simple question:
>
>   Active processes exist; kill them and exit anyway? "Yes"/"No"
>
> I wonder why not to do the same for unsaved buffers?
>

--00504502b03b27b1ce04cc00d76a
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<span style=3D"color:rgb(34,34,34);font-family:arial,sans-serif;font-size:1=
3px;background-color:rgb(255,255,255)">Thanks Eli, Andreas, Juri,</span><di=
v style=3D"color:rgb(34,34,34);font-family:arial,sans-serif;font-size:13px;=
background-color:rgb(255,255,255)">

I have reviewed the design based on your suggestions. Please find the new m=
uckups with the design elaborations at the end of that blog post here:=A0<a=
 href=3D"http://user.wordpress.com/2012/10/13/emacs-has-a-confusing-save-di=
alogue-box/" target=3D"_blank" style=3D"color:rgb(17,85,204)">http://user.w=
ordpress.com/2012/10/13/emacs-has-a-confusing-save-dialogue-box/</a></div>

<div style=3D"color:rgb(34,34,34);font-family:arial,sans-serif;font-size:13=
px;background-color:rgb(255,255,255)">Thank you,</div>+Alex Hanif<br>------=
-----------------<br>This message is confidential and copyrighted. The cont=
ents and attachment(s) are solely intended for the explicitly mentioned rec=
ipient(s). Forwarding, replying to another addresses, copying, printing and=
 distributing parts of it or as a whole in any form to any other person or =
3rd party is prohibited except with prior permission. If you are not the in=
tended recipient, please destroy all copies of the original message and pos=
sible distributions and inform me.<br>


<br><br><div class=3D"gmail_quote">On Sat, Oct 13, 2012 at 6:05 PM, Juri Li=
nkov <span dir=3D"ltr">&lt;<a href=3D"mailto:juri@HIDDEN" target=3D"_bla=
nk">juri@HIDDEN</a>&gt;</span> wrote:<br><blockquote class=3D"gmail_quot=
e" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">

<div class=3D"im">&gt; Please let me know if I can help improve Emacs.<br>
<br>
</div>The most user-friendly UI would tell the user what pressing the butto=
n<br>
will do exactly. =A0So instead of buttons &quot;Yes&quot;/&quot;No&quot;, i=
t would display<br>
more explicit text in buttons: &quot;Save&quot;/&quot;Don&#39;t save&quot; =
or &quot;Save&quot;/&quot;Discard&quot;.<br>
<br>
OTOH, Emacs is special in this regard that actions in the dialog box<br>
have their counterparts in the non-GUI version where &quot;y&quot; and &quo=
t;n&quot; are keys<br>
to save or skip the buffer. =A0With the goal to maintain compatibility<br>
between these two versions, the GUI version could provide accelerator keys<=
br>
in the button text like &quot;_Y_es&quot; and &quot;_N_o&quot;.<br>
<br>
But in case when these versions will diverge from each other,<br>
and also for the final question<br>
<br>
=A0 Modified buffers exist; exit anyway?<br>
<br>
still more explicit &quot;Yes, discard changes&quot;/&quot;No, cancel&quot;=
 or<br>
&quot;Yes, close without saving&quot;/&quot;No, cancel&quot; would be bette=
r.<br>
<br>
&quot;Don&#39;t quit&quot; to cancel the dialog is very necessary, yes,<br>
but a link in a dialog box a quite non-standard element.<br>
Much simpler would be to just add the button &quot;Cancel&quot;.<br>
<br>
Removing the option &quot;View This Buffer&quot; could be accompanied with<=
br>
displaying the buffer in question unconditionally (this suggestion<br>
pertains to the non-GUI version as well).<br>
<br>
Regarding the multi-file operation, some applications solve this problem<br=
>
by displaying a list of all unsaved files to help the user decide what<br>
to do with all of them.<br>
<br>
Emacs already does the same for running processes by displaying their list<=
br>
and asking a simple question:<br>
<br>
=A0 Active processes exist; kill them and exit anyway? &quot;Yes&quot;/&quo=
t;No&quot;<br>
<br>
I wonder why not to do the same for unsaved buffers?<br>
</blockquote></div><br>

--00504502b03b27b1ce04cc00d76a--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12635; Package emacs. Full text available.

Message received at 12635 <at> debbugs.gnu.org:


Received: (at 12635) by debbugs.gnu.org; 13 Oct 2012 16:13:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 13 12:13:08 2012
Received: from localhost ([127.0.0.1]:42728 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TN4Ko-0006gS-3O
	for submit <at> debbugs.gnu.org; Sat, 13 Oct 2012 12:13:07 -0400
Received: from ps18281.dreamhost.com ([69.163.218.105]:41992
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TN4Kk-0006fz-FA
	for 12635 <at> debbugs.gnu.org; Sat, 13 Oct 2012 12:13:03 -0400
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 390396FA011;
	Sat, 13 Oct 2012 09:12:04 -0700 (PDT)
From: Juri Linkov <juri@HIDDEN>
To: Alex Hanif <hanifbbz@HIDDEN>
Subject: Re: bug#12635: A usability issue with the save dialog box
Organization: JURTA
References: <CAONC63nyAzNguff_JUAseZygojg=ZoDfS89QXCT3W3nyiL0QFA@HIDDEN>
Date: Sat, 13 Oct 2012 19:05:01 +0300
In-Reply-To: <CAONC63nyAzNguff_JUAseZygojg=ZoDfS89QXCT3W3nyiL0QFA@HIDDEN>
	(Alex Hanif's message of "Sat, 13 Oct 2012 10:02:08 +0200")
Message-ID: <878vba2xk2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 12635
Cc: 12635 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

> Please let me know if I can help improve Emacs.

The most user-friendly UI would tell the user what pressing the button
will do exactly.  So instead of buttons "Yes"/"No", it would display
more explicit text in buttons: "Save"/"Don't save" or "Save"/"Discard".

OTOH, Emacs is special in this regard that actions in the dialog box
have their counterparts in the non-GUI version where "y" and "n" are keys
to save or skip the buffer.  With the goal to maintain compatibility
between these two versions, the GUI version could provide accelerator keys
in the button text like "_Y_es" and "_N_o".

But in case when these versions will diverge from each other,
and also for the final question

  Modified buffers exist; exit anyway?

still more explicit "Yes, discard changes"/"No, cancel" or
"Yes, close without saving"/"No, cancel" would be better.

"Don't quit" to cancel the dialog is very necessary, yes,
but a link in a dialog box a quite non-standard element.
Much simpler would be to just add the button "Cancel".

Removing the option "View This Buffer" could be accompanied with
displaying the buffer in question unconditionally (this suggestion
pertains to the non-GUI version as well).

Regarding the multi-file operation, some applications solve this problem
by displaying a list of all unsaved files to help the user decide what
to do with all of them.

Emacs already does the same for running processes by displaying their list
and asking a simple question:

  Active processes exist; kill them and exit anyway? "Yes"/"No"

I wonder why not to do the same for unsaved buffers?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12635; Package emacs. Full text available.

Message received at 12635 <at> debbugs.gnu.org:


Received: (at 12635) by debbugs.gnu.org; 13 Oct 2012 13:16:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 13 09:16:27 2012
Received: from localhost ([127.0.0.1]:42203 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TN1Zn-0002fu-93
	for submit <at> debbugs.gnu.org; Sat, 13 Oct 2012 09:16:26 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:53250)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <whitebox@HIDDEN>) id 1TN1Zh-0002fk-S8
	for 12635 <at> debbugs.gnu.org; Sat, 13 Oct 2012 09:16:21 -0400
Received: from frontend1.mail.m-online.net (unknown [192.168.8.180])
	by mail-out.m-online.net (Postfix) with ESMTP id 3Xf5xj0wRjz4KK3D;
	Sat, 13 Oct 2012 15:15:21 +0200 (CEST)
X-Auth-Info: n1vBWcyBe4fKv/FXuz5grWdlzlq7/A6jFSOLGIuAumk=
Received: from igel.home (ppp-93-104-150-2.dynamic.mnet-online.de
	[93.104.150.2])
	by mail.mnet-online.de (Postfix) with ESMTPA id 3Xf5xj0Qq5zbbfs;
	Sat, 13 Oct 2012 15:15:21 +0200 (CEST)
Received: by igel.home (Postfix, from userid 501)
	id AD9FCCA2A4; Sat, 13 Oct 2012 15:15:20 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#12635: A usability issue with the save dialog box
References: <CAONC63nyAzNguff_JUAseZygojg=ZoDfS89QXCT3W3nyiL0QFA@HIDDEN>
	<83y5ja5z3f.fsf@HIDDEN>
X-Yow: My mind is making ashtrays in Dayton....
Date: Sat, 13 Oct 2012 15:15:20 +0200
In-Reply-To: <83y5ja5z3f.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 13 Oct
	2012 14:35:32 +0200")
Message-ID: <m2fw5ia4yf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 12635
Cc: Alex Hanif <hanifbbz@HIDDEN>, 12635 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> Likewise with "Save This But No More" and "No To All" and "Save All
> Buffers" (which perhaps should be relabeled "Yes To All").

The latter two should probably be replaced by a check box "use this
answer for subsequent questions".

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12635; Package emacs. Full text available.

Message received at 12635 <at> debbugs.gnu.org:


Received: (at 12635) by debbugs.gnu.org; 13 Oct 2012 12:36:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 13 08:36:34 2012
Received: from localhost ([127.0.0.1]:42187 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TN0xG-0001jL-5L
	for submit <at> debbugs.gnu.org; Sat, 13 Oct 2012 08:36:34 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:34631)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1TN0xD-0001j5-8j
	for 12635 <at> debbugs.gnu.org; Sat, 13 Oct 2012 08:36:32 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0MBU00K00029SP00@HIDDEN> for
	12635 <at> debbugs.gnu.org; Sat, 13 Oct 2012 14:35:28 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MBU00KAY0B4L090@HIDDEN>;
	Sat, 13 Oct 2012 14:35:28 +0200 (IST)
Date: Sat, 13 Oct 2012 14:35:32 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#12635: A usability issue with the save dialog box
In-reply-to: <CAONC63nyAzNguff_JUAseZygojg=ZoDfS89QXCT3W3nyiL0QFA@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Alex Hanif <hanifbbz@HIDDEN>
Message-id: <83y5ja5z3f.fsf@HIDDEN>
References: <CAONC63nyAzNguff_JUAseZygojg=ZoDfS89QXCT3W3nyiL0QFA@HIDDEN>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  > From: Alex Hanif <hanifbbz@HIDDEN> > Date: Sat,
	13 Oct
	2012 10:02:08 +0200 > > I am a usability designer based in Stockholm
	and
	I would like to suggest a > few improvements to the Emacs save dialog.
	I have
	motivated my suggestion > and put up an image of the suggested solution
	on my blog: >
	http://user.wordpress.com/2012/10/13/emacs-has-a-confusing-save-dialogue-box/
	> > Please let me know if I can help improve Emacs. [...] 
	Content analysis details:   (1.5 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [80.179.55.175 listed in list.dnswl.org]
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
X-Debbugs-Envelope-To: 12635
Cc: 12635 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > From: Alex Hanif <hanifbbz@HIDDEN> > Date: Sat, 13 Oct
    2012 10:02:08 +0200 > > I am a usability designer based in Stockholm and
   I would like to suggest a > few improvements to the Emacs save dialog. I have
    motivated my suggestion > and put up an image of the suggested solution on
    my blog: > http://user.wordpress.com/2012/10/13/emacs-has-a-confusing-save-dialogue-box/
    > > Please let me know if I can help improve Emacs. [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [80.179.55.175 listed in list.dnswl.org]
  0.7 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.5000]

> From: Alex Hanif <hanifbbz@HIDDEN>
> Date: Sat, 13 Oct 2012 10:02:08 +0200
> 
> I am a usability designer based in Stockholm and I would like to suggest a
> few improvements to the Emacs save dialog. I have motivated my suggestion
> and put up an image of the suggested solution on my blog:
> http://user.wordpress.com/2012/10/13/emacs-has-a-confusing-save-dialogue-box/
> 
> Please let me know if I can help improve Emacs.

Thanks, but IMO your suggested dialog goes too far in the other
direction: it removes useful options.

It is possible that the options to view the file's buffer and to
review the changes should be renamed, e.g.  "Do not save and show the
changes" or some such, or maybe the layout should be changed.  But
removing the options because "users can only cope with 2 at most" is
not the best idea.

Likewise with "Save This But No More" and "No To All" and "Save All
Buffers" (which perhaps should be relabeled "Yes To All").  These are
useful when saving several files, and should appear then.

Can you suggest a better design that leaves the options available?

TIA




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12635; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Oct 2012 10:30:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 13 06:30:27 2012
Received: from localhost ([127.0.0.1]:42126 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TMyzC-0005e5-QD
	for submit <at> debbugs.gnu.org; Sat, 13 Oct 2012 06:30:27 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57666)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1TMyz9-0005dr-Hz
	for submit <at> debbugs.gnu.org; Sat, 13 Oct 2012 06:30:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1TMyyA-0003Ji-FI
	for submit <at> debbugs.gnu.org; Sat, 13 Oct 2012 06:29:23 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-5.7 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI, RCVD_NUMERIC_HELO autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:51137)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1TMyyA-0003Je-CQ
	for submit <at> debbugs.gnu.org; Sat, 13 Oct 2012 06:29:22 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58947)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1TMyy9-0006jr-Dm
	for bug-gnu-emacs@HIDDEN; Sat, 13 Oct 2012 06:29:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1TMyy8-0003JS-Aa
	for bug-gnu-emacs@HIDDEN; Sat, 13 Oct 2012 06:29:21 -0400
Received: from plane.gmane.org ([80.91.229.3]:54593)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1TMyy8-0003JO-3x
	for bug-gnu-emacs@HIDDEN; Sat, 13 Oct 2012 06:29:20 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1TMyyB-00072W-IL
	for bug-gnu-emacs@HIDDEN; Sat, 13 Oct 2012 12:29:23 +0200
Received: from 182.48.109.8 ([182.48.109.8])
	by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
	id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Sat, 13 Oct 2012 12:29:23 +0200
Received: from sdl.web by 182.48.109.8 with local (Gmexim 0.1 (Debian))
	id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Sat, 13 Oct 2012 12:29:23 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Leo <sdl.web@HIDDEN>
Subject: Re: bug#12635: A usability issue with the save dialog box
Date: Sat, 13 Oct 2012 18:29:09 +0800
Lines: 12
Message-ID: <m1txty64y2.fsf@HIDDEN>
References: <CAONC63nyAzNguff_JUAseZygojg=ZoDfS89QXCT3W3nyiL0QFA@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: 182.48.109.8
Face: iVBORw0KGgoAAAANSUhEUgAAACgAAAAoBAMAAAB+0KVeAAAAGFBMVEUzRVhbQj4eZqO6SjnT
	eWpxnMetm5b6/PmidmqrAAAAAWJLR0QAiAUdSAAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1F
	B9cBBwMLBfKABCMAAAFoSURBVCjPtZI9a8MwEIaFoc7aYDdelQMna0Em3tsSr0XUeE2Q6a22a+v+
	fk8fSSBkbDUI6dHpfe9OEvRgiD+ApqKPJgJeB6iUUXWESjUe/ig38AJrhqqvaU2nTIXbNvOQ40fe
	qdry4kyGoVWsfCQalXpHnJGM01wjWdYbMlXNFdsZDO69m9aqNqxEJqTEgbM5OF7wlEfIoll1Ked4
	LbM5X2EdILLokEdmI8z7g5cKED0cuTC930TYhy7ZDekkXVGw/L60TguJePPxcJF48lpsSUWEA/Ju
	jGFNgJOXc4Hz7TmAdBeu5Ve4AEjOi2/2jfd3cAJZ+IbNrvdjgBZY01b+HTuG3cLws6BJZqVOj/pp
	T0OqVwx3rFq+QmJwx3loK5JSLEhDIt62+mtC2C+SrAUxEbV6C6v2BRbd6pILBKFpepKZJHgGgrKF
	sptSUUoczpwg2pQ7ZH1tgs0ou/917mzz6Cs2//C978cv5l07L02orIEAAAAASUVORK5CYII=
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2 (OS X 10.8.2)
Cancel-Lock: sha1:GBQ281iFtAMa1E1gUc/muQvFeuk=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.0 (---)

On 2012-10-13 16:02 +0800, Alex Hanif wrote:
> I am a usability designer based in Stockholm and I would like to
> suggest a few improvements to the Emacs save dialog. I have motivated
> my suggestion and put up an image of the suggested solution on my
> blog: 
> http://user.wordpress.com/2012/10/13/emacs-has-a-confusing-save-dialogue-
> box/  Please let me know if I can help improve Emacs.

Yep, that is probably the worst design on earth and fortunately most
people don't use it.

Leo





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12635; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Oct 2012 09:44:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 13 05:44:22 2012
Received: from localhost ([127.0.0.1]:42070 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TMyGa-0002qM-TS
	for submit <at> debbugs.gnu.org; Sat, 13 Oct 2012 05:44:22 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45084)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <hanifbbz@HIDDEN>) id 1TMwh3-00085J-3a
	for submit <at> debbugs.gnu.org; Sat, 13 Oct 2012 04:03:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <hanifbbz@HIDDEN>) id 1TMwg4-00031X-Bl
	for submit <at> debbugs.gnu.org; Sat, 13 Oct 2012 04:02:33 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	HTML_MESSAGE,RCVD_IN_DNSWL_HI,T_DKIM_INVALID autolearn=unavailable
	version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:42423)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <hanifbbz@HIDDEN>) id 1TMwg4-00031T-8d
	for submit <at> debbugs.gnu.org; Sat, 13 Oct 2012 04:02:32 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45356)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <hanifbbz@HIDDEN>) id 1TMwg3-0000XD-D1
	for bug-gnu-emacs@HIDDEN; Sat, 13 Oct 2012 04:02:32 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <hanifbbz@HIDDEN>) id 1TMwg2-00031C-AX
	for bug-gnu-emacs@HIDDEN; Sat, 13 Oct 2012 04:02:31 -0400
Received: from mail-wg0-f49.google.com ([74.125.82.49]:63591)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <hanifbbz@HIDDEN>) id 1TMwg2-000318-4E
	for bug-gnu-emacs@HIDDEN; Sat, 13 Oct 2012 04:02:30 -0400
Received: by mail-wg0-f49.google.com with SMTP id gg4so2272975wgb.30
	for <bug-gnu-emacs@HIDDEN>; Sat, 13 Oct 2012 01:02:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:from:date:message-id:subject:to:content-type;
	bh=43w/Y19jiFAH1q7FtdYlZGaqMYITLRPL0p/7g6oWJDU=;
	b=x0jrqGcddXAg+Fay/FUpITTtbaYjkf8xCkywX/5tUDRIgV4qDzOCOuf8MsIEOwiv6e
	CMGt01CRpQlTnFKXiS1oelKc8RfL0W8YxiL7KIZGPBGRWb/EH+KI4aebGfwpv09VFPBQ
	mwluPdJ6SdFZLFHO+3nGP89+gNU/CSfXl2rEwNPl9VpBSoNIJEzjzMN3EmYZb73OOx91
	HTVElZJtyJAh4eO2bSSJE/pRTKFn1gwl3R4u+xga0a6eylyZ54oKkQSC5adxXDskLWyC
	3scSQaX4/ccCgvNXFexOi/d5UNbG7m6K1l39QQngczD4BkaN1p/Kx13/+21NoFB3LJ3U
	jGLQ==
Received: by 10.216.198.80 with SMTP id u58mr3638307wen.204.1350115348620;
	Sat, 13 Oct 2012 01:02:28 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.216.245.79 with HTTP; Sat, 13 Oct 2012 01:02:08 -0700 (PDT)
From: Alex Hanif <hanifbbz@HIDDEN>
Date: Sat, 13 Oct 2012 10:02:08 +0200
Message-ID: <CAONC63nyAzNguff_JUAseZygojg=ZoDfS89QXCT3W3nyiL0QFA@HIDDEN>
Subject: A usability issue with the save dialog box
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=00504502b03bc2a5dc04cbec394b
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 13 Oct 2012 05:44:19 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.4 (---)

--00504502b03bc2a5dc04cbec394b
Content-Type: text/plain; charset=ISO-8859-1

Hi,
I am a usability designer based in Stockholm and I would like to suggest a
few improvements to the Emacs save dialog. I have motivated my suggestion
and put up an image of the suggested solution on my blog:
http://user.wordpress.com/2012/10/13/emacs-has-a-confusing-save-dialogue-box/

Please let me know if I can help improve Emacs.
Thank you,
+Alex

--00504502b03bc2a5dc04cbec394b
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

Hi,<div>I am a usability designer based in Stockholm and I would like to su=
ggest a few improvements to the Emacs save dialog. I have motivated my sugg=
estion and put up an image of the suggested solution on my blog:=A0
<a href=3D"http://user.wordpress.com/2012/10/13/emacs-has-a-confusing-save-=
dialogue-box/">http://user.wordpress.com/2012/10/13/emacs-has-a-confusing-s=
ave-dialogue-box/</a>=A0</div><div>Please let me know if I can help improve=
 Emacs.</div>

<div>Thank you,<br clear=3D"all">+Alex<br>
</div>

--00504502b03bc2a5dc04cbec394b--




Acknowledgement sent to Alex Hanif <hanifbbz@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#12635; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.